# $Revision: 1.129 $, $Date: 2011/09/27 07:14:01 $
#
# Conditional build:
%bcond_without	apidocs		# disable gtk-doc
%bcond_without	static_libs	# don't build static library
#
Summary:	ATK - Accessibility Toolkit
Summary(pl.UTF-8):	ATK - biblioteka ułatwiająca niepełnosprawnym korzystanie z komputerów
Summary(pt_BR.UTF-8):	Interfaces para suporte a acessibilidade
Name:		atk
Version:	2.2.0
Release:	1
Epoch:		1
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/atk/2.2/%{name}-%{version}.tar.xz
# Source0-md5:	377ab03f5a1c32141fd9dfa86c6a714a
URL:		http://library.gnome.org/devel/atk/
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.10
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.20.0
BuildRequires:	gobject-introspection-devel >= 0.10.0
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.13}
BuildRequires:	gtk-doc-automake >= 1.13
BuildRequires:	libtool >= 2:2.2
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glib2 >= 1:2.20.0
Obsoletes:	libatk1.0_0
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The ATK library provides a set of interfaces for adding accessibility
support to applications and graphical user interface toolkits. By
supporting the ATK interfaces, an application or toolkit can be used
as tools such as screen readers and magnifiers, and alternative input
devices.

%description -l pl.UTF-8
Biblioteka ATK udostępnia zestaw interfejsów ułatwiających
niepełnosprawnym korzystanie z aplikacji i poszczególnych elementów
graficznego interfejsu użytkownika. Poprzez wykorzystanie interfejsów
ATK, aplikacja lub element interfejsu może być używany z takimi
narzędziami jak czytniki ekranu i narzędzia powiększające oraz
alternatywnymi urządzeniami wejściowymi.

%description -l pt_BR.UTF-8
A biblioteca ATK provê um conjunto de interfaces para adicionar
suporte a acessibilidade para aplicações e interfaces gráficas.
Suportando a interface ATK, uma aplicação ou interface gráfica pode
ser utilizada como ferramentas de leitura e aumento de tela,
dispositivos de entrada alternativos, etc.

%package devel
Summary:	ATK - header files
Summary(pl.UTF-8):	ATK - pliki nagłówkowe
Summary(pt_BR.UTF-8):	Interfaces para suporte a acessibilidade
Group:		X11/Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	glib2-devel >= 1:2.20.0
Obsoletes:	libatk1.0_0-devel

%description devel
ATK - header files.

%description devel -l pl.UTF-8
ATK - pliki nagłówkowe.

%description devel -l pt_BR.UTF-8
Interfaces para suporte a acessibilidade.

%package static
Summary:	ATK static library
Summary(pl.UTF-8):	Biblioteka statyczna ATK
Summary(pt_BR.UTF-8):	Interfaces para suporte a acessibilidade
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
ATK static library.

%description static -l pl.UTF-8
Biblioteka statyczna ATK.

%description static -l pt_BR.UTF-8
Interfaces para suporte a acessibilidade.

%package apidocs
Summary:	ATK API documentation
Summary(pl.UTF-8):	Dokumentacja API ATK
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
ATK API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API ATK.

%prep
%setup -q

%build
%{?with_apidocs:%{__gtkdocize}}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{__enable_disable apidocs gtk-doc} \
	--with-html-dir=%{_gtkdocdir} \
	%{__enable_disable static_libs static} \
	--enable-shared

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libatk-1.0.la

%find_lang atk10

%{!?with_apidocs:rm -rf $RPM_BUILD_ROOT%{_gtkdocdir}/atk}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f atk10.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_libdir}/libatk-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libatk-1.0.so.0
%{_libdir}/girepository-1.0/Atk-1.0.typelib

%files devel
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_libdir}/libatk-1.0.so
%{_includedir}/atk-1.0
%{_pkgconfigdir}/atk.pc
%{_datadir}/gir-1.0/Atk-1.0.gir

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libatk-1.0.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/atk
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: atk.spec,v $
Revision 1.129  2011/09/27 07:14:01  kiesiu
- updated to 2.2.0; merged from DEVEL

Revision 1.128.2.3  2011/09/20 19:45:51  megabajt
- updated to 2.1.92

Revision 1.128.2.2  2011/09/08 21:13:09  wiget
- up to 2.1.91

Revision 1.128.2.1  2011/08/18 18:11:06  megabajt
- updated to 2.1.5

Revision 1.128  2011/06/18 21:02:13  kiesiu
- updated to 2.0.1

Revision 1.127  2011/04/05 17:11:52  megabajt
- updated to 2.0.0; merged from DEVEL

Revision 1.126  2011/03/26 12:06:57  qboosh
- en@shaw locale is supported now (via LANGUAGE)

Revision 1.125.2.1  2011/03/23 14:25:28  wiget
- up to 1.91.92
- drop libtool file

Revision 1.125  2010/09/28 09:26:42  megabajt
- updated to 1.32.0

Revision 1.124  2010/09/22 19:16:13  patrys
- rebuild with new gir format
- rel 3

Revision 1.123  2010/07/13 08:50:50  patrys
- rebuild with new gir
- rel 2

Revision 1.122  2010/05/13 16:41:41  sparky
- BR: docbook-dtd412-xml

Revision 1.121  2010/04/01 06:24:34  qboosh
- unified -devel files order, less messy

Revision 1.120  2010/03/30 16:10:38  megabajt
- updated to 1.30.0; merged changes from DEVEL

Revision 1.119.2.3  2010/02/10 12:47:03  megabajt
- updated to 1.29.4

Revision 1.119.2.2  2009/12/01 08:57:41  patrys
- drop en@shaw

Revision 1.119.2.1  2009/12/01 08:55:09  patrys
- 1.29.3

Revision 1.119  2009/09/24 07:21:37  arekm
- rel 2; drop ca@valencia

Revision 1.118  2009/09/23 19:36:31  arekm
- up to 1.28

Revision 1.117  2009/07/07 23:07:01  tommat
- fixed URL

Revision 1.116  2009/03/16 17:25:49  megabajt
- updated to 1.26.0; merged changes from DEVEL
- don't rebuild apidocs (sth is broken in this release)

Revision 1.115.2.1  2009/02/17 21:24:08  megabajt
- updated to 1.25.2

Revision 1.115  2008/09/23 17:06:55  qboosh
- updated to 1.24.0

Revision 1.114  2008/03/31 20:01:54  glen
- release 2

Revision 1.113  2008-03-10 13:32:26  megabajt
- updated to 1.22.0; merged changes from DEVEL

Revision 1.112  2008/03/05 21:29:35  qboosh
- more verbose files

Revision 1.111  2008-03-05 19:53:48  glen
- apidocs still built even if bcond off, so at least pass proper docdir and remove them
- ghost soname symlinks

Revision 1.110.2.2  2008-03-02 20:16:45  megabajt
- updated to 1.21.92

Revision 1.110.2.1  2008-01-19 17:49:48  megabajt
- updated to 1.21.5
- more verbose files

Revision 1.110  2007-11-03 22:54:53  ankry
- sr@Latn -> sr@latin, rel. 2

Revision 1.109  2007/09/17 13:49:58  megabajt
- updated deps
- be@latin is supported locale

Revision 1.108  2007/09/17 09:29:59  patrys
- 1.20.0

Revision 1.107  2007/08/26 17:08:28  qboosh
- unified gnome source URL

Revision 1.106  2007/03/12 13:54:32  megabajt
- updated to 1.18.0; merged changes from DEVEL

Revision 1.105.2.1  2007/03/02 23:39:36  megabajt
- updated to 1.17.0

Revision 1.105  2007/02/12 21:23:48  glen
- tabs in preamble

Revision 1.104  2007/02/12 00:48:39  baggins
- converted to UTF-8

Revision 1.103  2007/01/04 14:51:52  megabajt
- removed API documentation from devel subpackage (since rev 1.93.2.1 in apidocs subpackage)

Revision 1.102  2006/12/21 00:05:35  qboosh
- updated to 1.12.4

Revision 1.101  2006/11/25 19:24:13  megabajt
- release 2 (rebuild with P: *.la)

Revision 1.100  2006/10/05 21:59:44  grzegol
- package as, tk, ug lang files (languages added in glibc-2.5)

Revision 1.99  2006/10/02 20:46:04  grzegol
- 1.12.3

Revision 1.98  2006/08/21 20:21:41  freetz
- 1.12.2, updated deps

Revision 1.97  2006/07/12 05:50:04  freetz
- 1.12.1

Revision 1.96  2006/07/10 20:43:51  freetz
- --as-needed support, updated deps

Revision 1.95  2006/06/07 10:08:47  freetz
- remove unsupported locale, rel.2

Revision 1.94  2006/04/02 11:06:49  freetz
- merged from DEVEL

Revision 1.93.2.3  2006/04/02 10:16:56  freetz
- 1.11.4

Revision 1.93.2.2  2006/03/13 17:54:11  freetz
- 1.11.3

Revision 1.93.2.1  2006/01/18 15:38:27  freetz
- 1.11.2, apidocs subpkg

Revision 1.93  2005/09/23 12:08:50  djurban
- no more gtk-doc BUAHAHAHAHA

Revision 1.92  2005/09/23 11:53:26  qboosh
- bcond header

Revision 1.91  2005/09/23 11:34:09  djurban
- gtkdocsize bconded, without it gtk-doc is required even when building without apidocs

Revision 1.90  2005/09/19 18:27:40  djurban
- standardise static_libs and s/doc/apidocs/ to properly get rid of gtk-doc if compiled without it

Revision 1.89  2005/09/06 11:10:18  paladine
- updated to 1.10.3

Revision 1.88  2005/08/31 07:25:16  paladine
- updated to 1.10.2 (new locales)
- sorted %%files and %%configure options

Revision 1.87  2005/06/01 19:48:34  twittner
- BR: libtool >= 2:1.5.16 due to:
	libtool: link: CURRENT `1011' is not a nonnegative integer
	libtool: link: `1011:0:1011' is not valid version information
	make[3]: *** [libatk-1.0.la] Error 1
  ref.: http://gnomebangalore.org/wiki/index.php/Jhbuild_issues#Module:_General_.28libtool_problem.29

Revision 1.86  2005/04/28 19:51:51  paladine
- updated to 1.10.1

Revision 1.85  2005/04/12 21:29:26  qboosh
- /sbin/ldconfig deps for post* -p are autogenerated

Revision 1.84  2005/04/12 19:23:20  freetz
- reversed ldconfig changes

Revision 1.83  2005/04/11 08:58:50  paladine
- missing R(post,postun): /sbin/ldconfig

Revision 1.82  2005/04/10 14:28:13  freetz
- new style macros, rel.2

Revision 1.81  2005/03/10 08:27:06  paladine
- updated to 1.9.1
- proper license

Revision 1.80  2004/12/29 18:00:08  qboosh
- consistent glib deps

Revision 1.79  2004/12/29 16:54:58  krzak
BuildRequires:  glib2-devel >= 1:2.5.7

Revision 1.78  2004/12/29 16:51:52  krzak
- up to 1.9.0

Revision 1.77  2004/10/26 11:54:05  qboosh
- use rpmbuild(macros) deps for _gtkdocdir

Revision 1.76  2004/09/07 11:14:13  grzegol
- updated to 1.8.0 and merged from DEVEL
- removed outdated locale-names patch
- remove no locale in %%install

Revision 1.75  2004/08/15 10:40:26  pluto
- release 2 for rebuild.

Revision 1.74  2004/08/15 10:23:07  pluto
- reverted.

Revision 1.73  2004/08/15 08:03:43  pluto
- updated to 1.7.3.

Revision 1.72.2.7  2004/08/20 17:25:01  aflinta
- added missing epoch

Revision 1.72.2.6  2004/07/28 20:38:02  grzegol
- updated to 1.7.3

Revision 1.72.2.5  2004/07/20 21:42:19  grzegol
- require gtk+2/glib2 2.4.4 instead of 2.5.0 (glib2-2.6 and gtk+2-2.6 won't be
  ready for GNOME 2.8)

Revision 1.72.2.4  2004/07/20 18:52:01  grzegol
- updated to 1.7.2

Revision 1.72.2.3  2004/06/08 21:30:04  freetz
- 1.7.1

Revision 1.72.2.2  2004/06/05 13:59:11  freetz
- corrected url

Revision 1.72.2.1  2004/06/05 13:56:37  freetz
- 1.7.0 - starting gnome 2.8 devel

Revision 1.72  2004/04/19 16:18:49  grzegol
- updated to 1.6.1

Revision 1.71  2004/03/19 09:31:51  qboosh
- R: glib2 1:2.4.0

Revision 1.70  2004/03/19 09:20:57  qboosh
- fixed glib2 deps, updated ac dep

Revision 1.69  2004/03/19 08:58:13  aflinta
- merged from DEVEL

Revision 1.68.2.8  2004/03/08 19:04:45  grzegol
- updated to 1.6.0

Revision 1.68.2.7  2004/02/24 14:34:55  grzegol
- updated to 1.5.5
- added locale-names patch (changes locale no -> nb)
- added BR: perl-base, strict internal deps
- added --enable-gtk-doc to configure

Revision 1.68.2.6  2004/02/16 11:46:39  aflinta
- up to version 1.5.4

Revision 1.68.2.5  2004/02/03 12:47:50  grzegol
- updated to 1.5.3
- use gtkdocize instead of copying file

Revision 1.68.2.4  2004/01/12 16:58:40  grzegol
- updated to 1.5.2

Revision 1.68.2.3  2003/12/15 16:20:16  wiget
- release 1

Revision 1.68.2.2  2003/12/05 17:13:26  wiget
- 1.5.1

Revision 1.68.2.1  2003/11/24 22:31:28  wiget
- 1.5.0

Revision 1.68  2003/11/17 10:10:58  qboosh
- removed unused BR gcc-c++

Revision 1.67  2003/11/11 01:33:21  ankry
- caps unification, other cosmetics

Revision 1.66  2003/11/02 10:56:56  gotar
- no such option

Revision 1.65  2003/11/02 10:48:29  gotar
- oops, not this spec

Revision 1.63  2003/10/21 15:42:06  freetz
- rel.2 - with a new tarball for 1.4.1

Revision 1.62  2003/10/10 00:52:10  krzak
- up to 1.4.1

Revision 1.61  2003/09/24 09:27:38  tiwek
- added missing BR gcc-c++

Revision 1.60  2003/09/02 11:01:45  grzegol
- updated to 1.4.0

Revision 1.59  2003/08/25 13:40:20  grzegol
- updated to 1.3.6

Revision 1.58  2003/08/18 08:07:55  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.57  2003/08/07 18:33:05  aflinta
- version 1.3.5

Revision 1.56  2003/08/06 16:30:10  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.55  2003/06/20 09:55:40  wiget
- up to released 1.3.4

Revision 1.54  2003/06/17 06:18:42  aflinta
- version 1.3.4 from snap for now, still waiting for release

Revision 1.53  2003/05/30 21:03:02  aflinta
- version 1.3.3

Revision 1.52  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.51  2003/05/25 05:45:46  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.50  2003/05/19 08:21:13  qboosh
- renamed sr locale files to be compatible with glibc
- release 2

Revision 1.49  2003/05/15 15:31:36  aflinta
- cleanups

Revision 1.48  2003/05/15 14:59:25  wiget
- updated to 1.3.2

Revision 1.47  2003/05/01 11:55:35  aflinta
- version 1.3.1

Revision 1.46  2003/04/18 17:20:30  qboosh
- it doesn't BR pango

Revision 1.45  2003/03/20 19:59:43  aflinta
- updated to version 1.3.0

Revision 1.44  2003/01/20 11:22:17  trojan
- updated to 1.2.2

Revision 1.43  2003/01/13 07:23:51  trojan
- fixed %%files (no need 755 for *.la)

Revision 1.42  2003/01/03 18:08:08  aflinta
- updated to version 1.2.1

Revision 1.41  2002/12/20 10:28:26  aflinta
- updated to version 1.2.0

Revision 1.40  2002/12/16 17:58:40  aflinta
- updated to version 1.1.5

Revision 1.39  2002/12/06 17:59:55  aflinta
- updated to version 1.1.4

Revision 1.38  2002/12/04 14:28:34  aflinta
- moved from /usr/X11R6 to /usr, _gtkdocdir is now in rpm macros, release 2

Revision 1.37  2002/11/24 14:37:16  krzak
- br glib2 >= 2.1.3

Revision 1.36  2002/11/22 10:22:10  aflinta
- updated to version 1.1.3

Revision 1.35  2002/11/20 20:48:32  qboosh
- i18n support was added, so use it; release 3

Revision 1.34  2002/11/20 15:15:47  kura
- update to 1.1.2

Revision 1.33  2002/11/18 21:23:40  zytek
- added djrzulf's patch for broken docs/Makefile.am

Revision 1.32  2002/11/12 17:56:42  wrobell
- ver. 1.1.1

Revision 1.31  2002/10/22 20:53:52  malekith
- release 2

Revision 1.30  2002/10/14 05:50:58  kloczek
- more macros.

Revision 1.29  2002/10/10 10:12:44  trojan
- added BR: gtk-doc >= 0.9-4

Revision 1.28  2002/10/09 13:21:37  trojan
- added patches (for proper documentation building)
- added BR: autoconf, automake, libtool
- added ac/am/lt macros
- fixed %%files

Revision 1.27  2002/10/02 21:53:27  aflinta
- updated to version 1.1.0

Revision 1.26  2002/08/14 23:53:27  michuz
- updated to 1.0.3

Revision 1.25  2002/07/02 12:46:27  ankry
- Requires gtk-doc-common for -devel subpackage
- release 4

Revision 1.24  2002/06/24 21:25:26  qboosh
- enabled gtk-doc, install docs in proper dir; release 3

Revision 1.23  2002/05/30 13:01:37  kloczek
- release 2.

Revision 1.22  2002/05/30 12:59:41  qboosh
- Groups changed to X11/*, new %%doc, longer pl description

Revision 1.21  2002/05/28 06:19:30  kloczek
- updated to 1.0.2.

Revision 1.20  2002/04/25 15:49:08  arturs
fixed a small typo

Revision 1.19  2002/04/22 05:49:53  kloczek
- release 3: merge translations from Conectiva.

Revision 1.18  2002/04/13 09:50:13  kloczek
- updated to 1.0.1.

Revision 1.17  2002/03/11 11:28:21  wrobell
- fixed polish description and summary

Revision 1.16  2002/03/10 13:54:38  kloczek
- updated to final 1.0.0 and tebuild against glib2 2.0.0 and pango 1.0.0.

Revision 1.15  2002/03/07 11:11:17  misiek
- update to 1.0 rc1

Revision 1.14  2002/02/22 23:28:42  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/19 03:21:01  kloczek
- rebuild against glib2 1.3.14.

Revision 1.12  2002/02/18 23:07:32  misiek
- updated to 0.12

Revision 1.11  2002/02/04 04:14:37  kloczek
- updated to 0.10 and rebuild against glib2 1.3.13.

Revision 1.10  2002/01/18 02:12:26  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2002/01/14 11:15:07  kloczek
- release 2: added missing %%{name}{,-devel} = %%{version} to Requires
  rules in devel and static subpackages.

Revision 1.8  2002/01/13 12:42:49  kloczek
- libatk8{,-devel} added to Obsoletes for allow upgrade from MDK,
- added glib2-devel to Requires list in devel subpackage.

Revision 1.7  2002/01/12 21:38:37  blues
- glib2 >= 1.3.12 required

Revision 1.6  2002/01/12 21:08:21  michuz
- updated to 0.8

Revision 1.5  2001/10/31 13:59:19  qboosh
- added URL, fixed typos, added remaining pl translations

Revision 1.4  2001/10/29 20:18:18  misiek
- fix rights on atk include files

Revision 1.3  2001/10/29 19:33:58  misiek
- updated to 0.6; translations are missing

Revision 1.2  2001/07/18 03:42:42  kloczek
- spec adapterized.

Revision 1.1  2001/06/13 09:42:21  cieciwa
-initial spec.

STB
